# QStyleOptionSizeGrip Class Reference

### [com.trolltech.qt.gui package]

Inherits QStyleOptionComplex.

### Constructor

- void QStyleOptionSizeGrip()
- void QStyleOptionSizeGrip(QStyleOptionSizeGrip other)

### Constructor Properties

- prototype: The QStyleOptionSizeGrip prototype object
- Version = 1
- StyleOptionVersion( value )
- Type = SO_SizeGrip
- StyleOptionType( value )

### Instance Properties

QStyleOptionSizeGrip objects have no special properties beyond those inherited from the QStyleOptionSizeGrip prototype object.